Subject: Re: [PATCH v2 01/30] hook: add 'run' subcommand

From: Felipe Contreras <[email-masked]>
Date: Fri, 25 Jun 2021 14:02:06 -0500

Emily Shaffer wrote:
> On Tue, Jun 15, 2021 at 11:36:26AM +0200, Ævar Arnfjörð Bjarmason wrote:
> > > Overall, I think I like the direction your reroll is going - I've needed
> > > some time to process it. Hopefully I'll be able to get through all or
> > > most of the series this week, but there's a lot going on here, too. I'll
> > > do what I can. Thanks for the help.
> > 
> > Yeah, will reply to any qusetions etc; and as noted above my initial
> > goal here was "hey, what about this approach", so if you wanted to pick
> > this up & run with it...
> > 
> > This particular version of the series is at github.com/avar/git.git's
> > es-avar/config-based-hooks-3 b.t.w.
> 
> Have finished scanning through the rest of the series, and I think I
> understand your goal a little better - you are not saying "let me take
> over and drive this part of the feature set", which is what I thought
> initially. Instead, you seem to be saying "let's chop it up this way
> instead".

Indeed. In particular Ævar's chopping allowed me to visualize what the
patches were trying to do and it was much easier to review. Step by
step. I don't know about others, but I think it's similar.

> I don't dislike the reorganization, but I do still wonder whether it's
> a setback to the progress the original series had made. I guess it is
> hard to know - I had thought the original series was pretty much ready
> to go in, therefore making "what if we ordered it this way" moot. But it
> seems that you disagree.
> 
> Anyway, I do hear also that you don't have interest in driving this
> subset to completion, and that's fine. Correct me if I'm wrong.

In an open source project nobody "owns" a set of patches, we can all
work on them collaboratively.

> I'll keep thinking on this over the weekend. Thanks for the suggestion.

My suggestion is to not think about it too much. Just find what would be
the next logical step to do on top of Ævar's base and simply do it
(cherry-pick or rebase).

By simply trying it out you would get a much better idea of how the
series could progress to the end-goal you have in mind.

Cheers.

-- 
Felipe Contreras